capture log close
clear
# delimit ;
set memory 50m ;
set more off ;
pause on ;


* =============================================================== ;
*       This is doallpollanal.do ;
*       Last edited 12/30/08 ew ;
*	Runs all the do files for the poll paper;
*	 reads in all raw data, cleans all data, runs all analysis,;
*	 creates all tables and figures;
* =============================================================== ;


global N=1;
*1==umich server structure;

if $N==1 {;
global res "/afs/umich.edu/user/f/g/fgelias/Shared/fin_pollproj/electres/";
global pre "/afs/umich.edu/user/f/g/fgelias/Shared/fin_pollproj/prepolls/";
global exit "/afs/umich.edu/user/f/g/fgelias/Shared/fin_pollproj/exitpolls/";
global tess "/afs/umich.edu/user/f/g/fgelias/Shared/fin_pollproj/tess/";
global mktab "/afs/umich.edu/user/f/g/fgelias/Shared/fin_pollproj/mktabsandfigs/";
global mkfig "/afs/umich.edu/user/f/g/fgelias/Shared/fin_pollproj/mktabsandfigs/";
};


***make presidential results data for 1996 2000 2004 2008***;
do ${res}makepresresults.do;

***make pre-election poll data for 2000 2004 2008***;
do ${pre}makeprepoll2.do;

***make exit poll data for 2000 2004***;
*do ${exit}makeexitpolldata.do;

***make state level dataset of exit polls and results, 
   and poll level analysis dataset with all analysis variables***;
do makepollsallvars.do;

***make tess data***;
do ${tess}maketessallvars.do;


***run all analysis: tables***;
for num 1/4: do ${mktab}tabX.do;
for num 6/10: do ${mktab}tabX.do;

***run all analysis: figures***;
do ${mkfig}fig1.do;
for num 3/6: do ${mkfig}figX.do;

