capture log close
clear
clear mata
# delimit ;
set memory 50m ;
set more off ;
pause on ;
program drop _all ;
estimates clear ;

* =============================================================== ;
*	This is fig5.do ; 
*	Last edited 12/30/08 ew ;
*	Uses pollsallvars.dta ;
*	distribution of polls across states;
* =============================================================== ;

global N=1;
*1==umich server structure;
*2==elias's macbook structure;

if $N==1 {;
global prog "/afs/umich.edu/user/f/g/fgelias/Shared/fin_pollproj/";
global res "/afs/umich.edu/user/f/g/fgelias/Shared/fin_pollproj/electres/";
global pre "/afs/umich.edu/user/f/g/fgelias/Shared/fin_pollproj/prepolls/";
global exit "/afs/umich.edu/user/f/g/fgelias/Shared/fin_pollproj/exitpolls/";
global tab "/afs/umich.edu/user/f/g/fgelias/Shared/fin_pollproj/tables/";
global fig "/afs/umich.edu/user/f/g/fgelias/Shared/fin_pollproj/figures/";
global oth "/afs/umich.edu/user/f/g/fgelias/Shared/fin_pollproj/notinpaper/";
global mktab "/afs/umich.edu/user/f/g/fgelias/Shared/fin_pollproj/mktabsandfigs/";
};

log using "${mktab}fig5.log", replace ;
display "$S_DATE";
use "${prog}pollsallvars.dta", clear ;


keep if mainsamp==1&record!=.;
drop racen;
egen racen=count(year), by(state year);
keep year state repfin demfin racen;
duplicates drop;
des;

preserve;
insheet using ${prog}elec_coll.csv, clear ;
save ${prog}elec_coll.dta, replace;
restore;

mmerge state using ${prog}elec_coll.dta, t(n:1);
rename ev elec_votes;
gen int_repfin_ev=repfin*elec_votes;
for var repfin elec_votes: gen X2=X^2;
for num 2004 2008: gen yy_X=year==X;

reg racen repfin elec_votes, r;
reg racen repfin elec_votes repfin2 elec_votes2, r;
reg racen repfin elec_votes int_repfin_ev, r;

reg racen repfin elec_votes yy_*, r;
reg racen repfin elec_votes repfin2 elec_votes2 yy_*, r;
reg racen repfin elec_votes int_repfin_ev yy_*, r;

scatter elec_votes repfin [w=racen], msymbol(oh) mcolor(black)
 xtitle(Actual Percent Republican) ytitle(Electoral Votes);
graph export ${fig}numpolls.eps, as(eps) logo(off) replace;

log close;








