capture log close
clear
clear mata
# delimit ;
set memory 50m ;
set more off ;
pause on ;
program drop _all ;
estimates clear ;

* =============================================================== ;
*	This is tab4.do ; 
*	Last edited 12/30/08 ew ;
*	Uses pollsallvars.dta ;
*	Descriptive statistics of prediction error in pre-election polls;
* =============================================================== ;

global N=1;
*1==umich server structure;
*2==elias's macbook structure;

if $N==1 {;
global prog "/afs/umich.edu/user/f/g/fgelias/Shared/fin_pollproj/";
global res "/afs/umich.edu/user/f/g/fgelias/Shared/fin_pollproj/electres/";
global pre "/afs/umich.edu/user/f/g/fgelias/Shared/fin_pollproj/prepolls/";
global exit "/afs/umich.edu/user/f/g/fgelias/Shared/fin_pollproj/exitpolls/";
global tab "/afs/umich.edu/user/f/g/fgelias/Shared/fin_pollproj/tables/";
global fig "/afs/umich.edu/user/f/g/fgelias/Shared/fin_pollproj/figures/";
global oth "/afs/umich.edu/user/f/g/fgelias/Shared/fin_pollproj/notinpaper/";
global mktab "/afs/umich.edu/user/f/g/fgelias/Shared/fin_pollproj/mktabsandfigs/";
};

log using "${mktab}tab4.log", replace ;
display "$S_DATE";
use "${prog}pollsallvars.dta", clear ;

program define dotab4 ;
preserve;
keep if `1'&`2'==1&record!=.;
drop tagr;
egen tagr=tag(raceid);

for var repfin demfin rep1 dem1 reppe_fin dempe_fin repstd_fin demstd_fin
	rep1new dem1new reppe2_fin dempe2_fin repstd2_fin demstd2_fin:
	egen sd_X=sd(X) if X!=.;
for var repfin demfin: egen sd_X_r=sd(X) if tagr==1;
for var repstd_fin repstd2_fin demstd_fin demstd2_fin:
	gen var_X=sd_X^2;
for var repacwon demacwon repahead demahead incorrect incorrect_pre: replace X=100*X;


tabstat repfin sd_repfin demfin sd_demfin rep1 sd_rep1 dem1 sd_dem1
	reppe_fin sd_reppe_fin dempe_fin sd_dempe_fin
	repstd_fin var_repstd_fin demstd_fin var_demstd_fin 
	repacwon demacwon repahead demahead incorrect incorrect_pre,
	stat(mean semean n) col(stat);
tabstat repfin sd_repfin_r demfin sd_demfin_r repacwon demacwon incorrect_pre if tagr==1,
	stat(mean n) col(stat);
tabstat rep1new sd_rep1new dem1new sd_dem1new
	reppe2_fin sd_reppe2_fin dempe2_fin sd_dempe2_fin
	repstd2_fin var_repstd2_fin demstd2_fin var_demstd2_fin,
	stat(mean semean n) col(stat);
bootstrap vr_raw=r(Var), reps(1000) nodots: sum repstd_fin;
bootstrap vr_adj=r(Var), reps(1000) nodots: sum repstd2_fin;
bootstrap vd_raw=r(Var), reps(1000) nodots: sum demstd_fin;
bootstrap vd_adj=r(Var), reps(1000) nodots: sum demstd2_fin;
restore;
end;

*table 4;
dotab4 mainsamp==1 year!=.; 
dotab4 mainsamp==1 likely==1;
dotab4 mainsamp==1 lt2wks==1;
*dotab4 robustsamp==1 year!=.; 

*table 5;
dotab4 year==2000 mainsamp==1;
dotab4 year==2004 mainsamp==1;
dotab4 year==2008 mainsamp==1;

log close;




