capture log close
clear
clear mata
# delimit ;
set memory 50m ;
set more off ;
pause on ;
program drop _all ;
estimates clear ;

* =============================================================== ;
*	This is tab6.do ; 
*	Last edited 1/7/09 ew ;
*	Uses pollsallvars.dta ;
*	Descriptive statistics of error in pre-eelction polls of 3rd party candidates;
* =============================================================== ;

global N=1;
*1==umich server structure;
*2==elias's macbook structure;

if $N==1 {;
global prog "/afs/umich.edu/user/f/g/fgelias/Shared/fin_pollproj/";
global res "/afs/umich.edu/user/f/g/fgelias/Shared/fin_pollproj/electres/";
global pre "/afs/umich.edu/user/f/g/fgelias/Shared/fin_pollproj/prepolls/";
global exit "/afs/umich.edu/user/f/g/fgelias/Shared/fin_pollproj/exitpolls/";
global tab "/afs/umich.edu/user/f/g/fgelias/Shared/fin_pollproj/tables/";
global fig "/afs/umich.edu/user/f/g/fgelias/Shared/fin_pollproj/figures/";
global oth "/afs/umich.edu/user/f/g/fgelias/Shared/fin_pollproj/notinpaper/";
global mktab "/afs/umich.edu/user/f/g/fgelias/Shared/fin_pollproj/mktabsandfigs/";
};


log using "${mktab}tab6.log", replace ;
display "$S_DATE";
use "${prog}pollsallvars.dta", clear ;

program define thirdp;
preserve;
keep if `1'*record!=.;
for var repstd2_fin demstd2_fin: egen sd_X=sd(X) \ gen var_X=sd_X^2;
tabstat reppe2_fin dempe2_fin repstd2_fin demstd2_fin var_repstd2_fin var_demstd2_fin,
	stat(mean semean n) col(stat);
bootstrap vr=r(Var), reps(1000) nodots: sum repstd2_fin; 
*bootstrap vrc=r(Var), strata(raceid) reps(500) nodots: sum repstd2_fin;
bootstrap vd=r(Var), reps(1000) nodots: sum demstd2_fin;
*bootstrap vdc=r(Var), strata(raceid) reps(500) nodots: sum demstd2_fin;
restore;
end;

thirdp year==2000&mainsamp==1;
thirdp year==2000&buch==1&mainsamp==1;
thirdp year==2000&buch==0&mainsamp==1;
thirdp year==2000&nader==1&mainsamp==1;
thirdp year==2000&nader==0&mainsamp==1;
thirdp year==2000&nader==1&buch==1&mainsamp==1;
thirdp year==2000&indoth==1&mainsamp==1;
thirdp year==2000&indoth==0&mainsamp==1;
thirdp year==2004&mainsamp==1;
thirdp year==2004&nader==1&mainsamp==1;
thirdp year==2004&nader==0&mainsamp==1;
thirdp year==2004&indoth==1&mainsamp==1;
thirdp year==2004&indoth==0&mainsamp==1;
thirdp year==2008&mainsamp==1;
thirdp year==2008&indoth==1&mainsamp==1;
thirdp year==2008&indoth==0&mainsamp==1;

log close;



