capture log close
clear
clear mata
# delimit ;
set memory 50m ;
set more off ;
pause on ;
program drop _all ;
estimates clear ;

* =============================================================== ;
*	This is tab8.do ; 
*	Last edited 12/30/08 ew ;
*	Uses pollsallvars.dta ;
*	Polls and Priors;
* =============================================================== ;

global N=1;
*1==umich server structure;
*2==elias's macbook structure;

if $N==1 {;
global prog "/afs/umich.edu/user/f/g/fgelias/Shared/fin_pollproj/";
global res "/afs/umich.edu/user/f/g/fgelias/Shared/fin_pollproj/electres/";
global pre "/afs/umich.edu/user/f/g/fgelias/Shared/fin_pollproj/prepolls/";
global exit "/afs/umich.edu/user/f/g/fgelias/Shared/fin_pollproj/exitpolls/";
global tab "/afs/umich.edu/user/f/g/fgelias/Shared/fin_pollproj/tables/";
global fig "/afs/umich.edu/user/f/g/fgelias/Shared/fin_pollproj/figures/";
global oth "/afs/umich.edu/user/f/g/fgelias/Shared/fin_pollproj/notinpaper/";
global mktab "/afs/umich.edu/user/f/g/fgelias/Shared/fin_pollproj/mktabsandfigs/";
};


log using "${mktab}tab8.log", replace ;
display "$S_DATE";
use "${prog}pollsallvars.dta", clear ;

** polls dependent, unconstrained ** ;

program define unconst ;
preserve;
keep if `1'*record!=. ;

*unconstrained regressions ;
reg `2' `3', cluster(state) ;
estimates store A_`7';
reg `2' `4', cluster(state) ;
estimates store B_`7';
* this is the key poll vs. truth regression ;
reg `2' `3' `4', cluster(state) ;
estimates store C_`7';
if "`5'"!="stop" {;
 reg `2' `4' `5', cluster(state) ;
 estimates store D_`7';
 reg `2' `3' `4' `5', cluster(state) ;
 estimates store E_`7';
};
if "`6'"!="stop" {;
 reg `2' `3' `4' `5' `6', cluster(state) ;
 estimates store F_`7';
};
restore;
end ;

estimates clear;
unconst year==2008&mainsamp==1 dem1new demfin2008 demfin2004 demfin2000 demfin1996 d08;
unconst year==2004&mainsamp==1 dem1new demfin2004 demfin2000 demfin1996 stop d04;
unconst year==2000&mainsamp==1 dem1new demfin2000 demfin1996 stop stop d00;
unconst year==2008&mainsamp==1 rep1new repfin2008 repfin2004 repfin2000 repfin1996 r08;
unconst year==2004&mainsamp==1 rep1new repfin2004 repfin2000 repfin1996 stop r04;
unconst year==2000&mainsamp==1 rep1new repfin2000 repfin1996 stop stop r00;

estout *_r08 *_d08 *_r04 *_d04 *_r00 *_d00 using ${tab}table8.txt,
	 replace cells(b(fmt(3)) se(par fmt(3))) stats(r2 N, fmt(3 0));


log close;

